Skip to main content
`Ctrl`+`K`

# DMNetworkGetGlobalVertexIndex

Get the global numbering for the vertex on the network

## Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkGetGlobalVertexIndex(DM dm, PetscInt p, PetscInt *index)

Not Collective

## Input Parameters

- dm - `DMNETWORK` object

- p - vertex point

## Output Parameter

- index - the global numbering for the vertex

## See Also

`DM`, `DMNETWORK`, `DMNetworkGetGlobalEdgeIndex()`, `DMNetworkGetLocalVertexIndex()`

## Level

intermediate

## Location

src/dm/impls/network/network.c

Index of all DMNetwork routines
Table of Contents for all manual pages
Index of all manual pages